{"swagger":"2.0","info":{"description":"The 121nexus API is designed to give clients easy access to the 121nexus platform to search for products, interact with product experiences, and much more.","version":"0.2.0","title":"121nexus Platform","contact":{}},"consumes":["application/json"],"produces":["application/json"],"security":[{"API Key Authentication":[]}],"host":"api.beta.121nexus.com","schemes":["https"],"tags":[{"name":"Products","description":"Products in the 121nexus platform."},{"name":"Experiences","description":"Multi-page experiences for end-users to interact with products."},{"name":"Sessions","description":"A single interactive session with an experience and product."},{"name":"Modules","description":"A single, modular unit of functionality that can be used in experiences."}],"paths":{"/v3/products/search":{"get":{"summary":"Search for product","tags":["Products"],"description":"Searches for a product given the provided product data. Returns the information on 1 product if an exact match is found, or 0 otherwise.","parameters":[{"name":"product_url","in":"query","required":false,"type":"string","description":"The product's unique URL, without protocol","x-example":"scan.beta.121nexus.com/unique-code"},{"name":"barcode_data","in":"query","required":false,"type":"string","description":"The product's raw barcode data","x-example":"0101234510ABC"}],"responses":{"200":{"description":"Request was processed successfully and returned one result.","schema":{"required":["default_experience","url"],"type":"object","properties":{"url":{"type":"string","description":"the url of the product"},"state":{"type":"string","description":"that product's attributes"},"default_experience":{"type":"number","description":"the ID of the default experience for that product"},"experiences":{"type":"array","description":"experiences associated with that product","items":{"type":"object","properties":{"id":{"type":"number","description":"the ID of the experience"},"name":{"type":"string","description":"the name of the experience"},"description":{"type":"string","description":"a description of the expereince"}}}}}},"examples":{"application/json":"{\n  \"url\":\"scan.beta.121nexus.com/rllhlxq8ui6z\",\n  \"attributes\": {\"foo\":\"bar\", \"bar\":\"baz\"},\n  \"default_experience_id\": 2, \n  \"experiences\": [\n    {\"id\":13, \"name\":\"Manufacturer Results\", \"description\":\"GS1 validation experience for manufacturer\"},\n    {\"id\":22,\"name\":\"Product Info\", \"description\":\"Product information experience for patients and healthcare providers\"}\n  ]\n}"}},"204":{"description":"The request was successful, but no results were found with the given query parameters","schema":{"type":"object"},"examples":{"application/json":"{ }"}},"400":{"description":"Something in the request is malformed","schema":{"type":"object","properties":{"status":{"type":"string"},"data":{"type":"object","description":"the error message returned by the query"}}},"examples":{"application/json":"{\n  \"message\":\"Malformed Request: please check the request\"\n}"}},"401":{"description":"Authentication details are invalid","schema":{"type":"object","properties":{"message":{"type":"string","description":"the error message"}}},"examples":{"application/json":"{\n  \"message\":\"Unauthorized: Token\"\n}"}}}},"head":{"summary":"Search for product's existence","tags":["Products"],"description":"Searches for a product given the provided product data. Returns HTTP status code 200 if an exact match is found, or 204 otherwise.","parameters":[{"name":"product_url","in":"query","required":false,"type":"string","description":"The product's unique URL, without protocol","x-example":"scan.beta.121nexus.com/unique-code"},{"name":"barcode_data","in":"query","required":false,"type":"string","x-example":"0101234510ABC"}],"responses":{"200":{"description":"Request was processed successfully and the product exists"},"204":{"description":"The request was successful, but no product was found with the given query parameters"},"400":{"description":"Something in the request is malformed"},"401":{"description":"Authentication details are invalid"}}}},"/v3/products/{product_url}":{"get":{"summary":"Get a product","tags":["Products"],"description":"Retrieves the attributes and available experiences for the specified product.","parameters":[{"name":"product_url","in":"query","required":false,"type":"string","description":"The product's unique URL, without protocol","x-example":"scan.beta.121nexus.com/unique-code"}],"responses":{"200":{"description":"Request was processed successfully and returned one result.","schema":{"required":["data","status"],"type":"object","properties":{"status":{"type":"boolean","description":"The response status - will be (true) for a 200 response"},"data":{"type":"array","description":"The response data","items":{"required":["default_experience","url"],"type":"object","properties":{"url":{"type":"string","description":"the url for the product"},"state":{"type":"string","description":"information about that product"},"experiences":{"type":"array","description":"experiences associated with that product","items":{"type":"object","properties":{"id":{"type":"number","description":"the ID of the experience"},"name":{"type":"string","description":"the name of the experience"},"description":{"type":"string","description":"a description of the expereince"}}}},"default_experience":{"type":"number","description":"the ID of the default experience for that product"}}}}}},"examples":{"application/json":"{\n  \"url\":\"scan.beta.121nexus.com/rllhlxq8ui6z\",\n  \"attributes\": {\"foo\":\"bar\", \"bar\":\"baz\"},\n  \"default_experience_id\": 2, \n  \"experiences\": [\n    {\"id\":13, \"name\":\"Manufacturer Results\", \"description\":\"GS1 validation experience for manufacturer\"},\n    {\"id\":22,\"name\":\"Product Info\", \"description\":\"Product information experience for patients and healthcare providers\"}\n  ]\n}"}},"400":{"description":"Something in the request is malformed","schema":{"type":"object","properties":{"status":{"type":"string"},"data":{"type":"object","description":"the error message returned by the query"}}},"examples":{"application/json":"{\n  \"status\":false,\n  \"data\":{\n  \"message\":\"Malformed Request: please check the request\"\n  }\n}"}},"401":{"description":"Authentication details are invalid","schema":{"type":"object","properties":{"message":{"type":"string","description":"the error message"}}},"examples":{"application/json":"{\n  \"status\":false,\n  \"data\":{\n      \"message\":\"Unauthorized: Token invalid\"\n  }\n}"}},"404":{"description":"the url does not exist","schema":{"type":"object"},"examples":{"application/json":"{\n  \"status\":false,\n  \"data\":{\n      \"message\":\"Not Found: product not found\"\n  }\n}"}}}},"head":{"summary":"Confirm a product's existence","tags":["Products"],"description":"Returns 200 if the specified product exists, 404 otherwise.","parameters":[{"name":"product_url","in":"query","required":false,"type":"string","description":"The product's unique URL, without protocol","x-example":"scan.beta.121nexus.com/unique-code"}],"responses":{"200":{"description":"Request was processed successfully and returned one result."},"204":{"description":"The request was successful, but no results were found with the given query parameters"},"400":{"description":"Something in the request is malformed"},"401":{"description":"Authentication details are invalid"},"404":{"description":"No product exists for the given url"}}},"parameters":[{"name":"product_url","in":"path","required":true,"type":"string"}]},"/v3/experiences/":{"get":{"summary":"List experiences","tags":["Experiences"],"description":"Lists the experiences for the authenticated account.","parameters":[],"responses":{"200":{"description":"Request was processed successfully.","schema":{"type":"object"},"examples":{"application/json":"{  \n  \"experiences\":[  \n    {  \n      \"id\":13,\n      \"name\":\"Manufacturer Results\",\n      \"description\":\"GS1 validation experience for manufacturer\"\n    },\n    {  \n      \"id\":22,\n      \"name\":\"Product Info\",\n      \"description\":\"Product information experience for patients and healthcare providers\"\n    }\n  ]\n}"}},"400":{"description":"Something in the request is malformed","schema":{"type":"object"},"examples":{"application/json":"{\n  \"status\":false,\n  \"data\":{\n        \"message\":\"Malformed Request: please check the request\"\n  }\n}"}},"401":{"description":"Authentication details are invalid","schema":{"type":"object"},"examples":{"application/json":"{\n  \"status\":false,\n  \"data\":{\n      \"message\":\"Unauthorized: Token invalid\"\n  }\n}"}}},"security":[{"API Key Authentication":[]},{"Token Authentication":[]}]},"post":{"summary":"Create new experience","tags":["Experiences"],"description":"Creates a new experienced based on the parameters passed in the request body for the authenticated account.","consumes":[],"parameters":[{"name":"Accept: application/json","in":"header","required":false,"type":"string"},{"name":"Content-Type: application/json","in":"header","required":false,"type":"string"},{"name":"body","in":"body","required":true,"schema":{"type":"object"},"x-examples":{"application/json":"{  \n  \"name\":\"MDT Outbound Validation\",\n  \"description\":\"Validation experience for MDT outbound mode\",\n  \"product_required\":true,\n  \"template\":[  \n    [  \n      {  \n        \"id\":1,\n        \"type\":\"Stylesheet\",\n        \"config\":{  \n          \"url\":\"https://s3.amazonaws.com/scan.121nexus/uploads/0000030b-000jfxkc.css\"\n        }\n      },\n      {  \n        \"id\":2,\n        \"type\":\"MDTValidation\",\n        \"config\":{  \n          \"transitions\":{  \n            \"validation_success\":2,\n            \"validation_failure\":3\n          }\n        }\n      }\n    ],\n    [  \n      {  \n        \"id\":1,\n        \"type\":\"Stylesheet\",\n        \"config\":{  \n          \"url\":\"https://s3.amazonaws.com/scan.121nexus/uploads/0000030b-000jfxkc.css\"\n        }\n      },\n      {  \n        \"id\":2,\n        \"type\":\"ImageCapture\",\n        \"config\":{  \n          \"prompt_text\":\"Please take a photo of the label.\",\n          \"thanks_text\":\"Scan completed.\",\n          \"transitions\":{  \n            \"upload_completed\":null\n          }\n        }\n      }\n    ],\n    [  \n      {  \n        \"id\":1,\n        \"type\":\"Stylesheet\",\n        \"config\":{  \n          \"url\":\"https://s3.amazonaws.com/scan.121nexus/uploads/0000030b-000jfxkc.css\"\n        }\n      },\n      {  \n        \"id\":2,\n        \"type\":\"Header\",\n        \"config\":{  \n          \"text\":\"Scan completed.\"\n        }\n      }\n    ]\n  ]\n}"}}],"responses":{"201":{"description":"A new experience was successfully created"},"400":{"description":"The user has malformed the request","schema":{"type":"object"},"examples":{"application/json":"{\n  \"status\":false,\n  \"data\":{\n  \"message\":\"Malformed Request: please check the request\"\n  }\n}"}},"401":{"description":"Authentication details are invalid","schema":{"type":"object"},"examples":{"application/json":"{\n  \"status\":false,\n  \"data\":{\n      \"message\":\"Unauthorized: Token invalid\"\n  }\n}"}}},"security":[{"API Key Authentication":[]},{"Token Authentication":[]}]}},"/v3/experiences/{experience_id}":{"get":{"summary":"Get experience","tags":["Experiences"],"description":"Retrieves the given experience.","parameters":[],"responses":{"200":{"description":"Request was processed successfully and returned one result.","schema":{"type":"object"},"examples":{"application/json":"{  \n  \"id\":13,\n  \"name\":\"Manufacturer Results\",\n  \"is_public\":false,\n  \"description\":\"GS1 validation experience for manufacturer\",\n  \"template\":[  \n    [  \n      {  \n        \"id\":\"3d0b55c147033da0\",\n        \"type\":\"GS1Validation\",\n        \"config\":{  \n\n        }\n      },\n      {  \n        \"id\":\"674bbf08f827bc75\",\n        \"type\":\"Gudid\",\n        \"config\":{  \n\n        }\n      },\n      {  \n        \"id\":\"1a539a0b1bce3732\",\n        \"type\":\"ImageUpload\",\n        \"config\":{  \n          \"prompt_text\":\"Please take a picture of the label\",\n          \"thanks_text\":\"Image uploaded\"\n        }\n      }\n    ]\n  ]\n}"}},"400":{"description":"Something in the request is malformed","schema":{"type":"object"},"examples":{"application/json":"{\n  \"message\":\"Malformed Request: please check the request\"\n}"}},"401":{"description":"Authentication details are invalid","schema":{"type":"object"},"examples":{"application/json":"{\n  \"message\":\"Unauthorized: Token invalid\"\n}"}},"404":{"description":"No experience could be found corresponding to the given url","schema":{"type":"object"},"examples":{"application/json":"{\n  \"message\":\"Not Found: experience not found\"\n}"}}},"security":[{"API Key Authentication":[]},{"Token Authentication":[]}]},"head":{"summary":"Get experience","tags":["Experiences"],"description":"Confirms the existance of the given experience.","parameters":[],"responses":{"200":{"description":"Request was processed successfully and returned one result."},"400":{"description":"The request was malformed"},"401":{"description":"Authentication details are invalid"},"404":{"description":"No experience can be found for the given url"}},"security":[{"API Key Authentication":[]},{"Token Authentication":[]}]},"put":{"summary":"Update experience","tags":["Experiences"],"description":"Updates the given experience.","consumes":[],"parameters":[{"name":"body","in":"body","required":true,"schema":{"type":"object"},"x-examples":{"application/json":"{  \n  \"name\":\"Changed Manufacturer Results\",\n  \"is_public\":true,\n  \"description\":\"GS1 validation experience for manufacturer\",\n  \"template\":[  \n    [  \n      {  \n        \"id\":\"3d0b55c147033da0\",\n        \"type\":\"GS1Validation\",\n        \"config\":{  \n\n        }\n      },\n      {  \n        \"id\":\"674bbf08f827bc75\",\n        \"type\":\"Gudid\",\n        \"config\":{  \n\n        }\n      },\n      {  \n        \"id\":\"1a539a0b1bce3732\",\n        \"type\":\"ImageUpload\",\n        \"config\":{  \n          \"prompt_text\":\"Please take a picture of the label\",\n          \"thanks_text\":\"Image uploaded\"\n        }\n      }\n    ]\n  ]\n}"}}],"responses":{"200":{"description":"The experience was successfully updated.","schema":{"type":"object"},"examples":{"application/json":"{}"}},"400":{"description":"Something in the request is malformed","schema":{"type":"object"},"examples":{"application/json":"{\n  \"message\":\"Malformed Request: please check the request\"\n}"}},"401":{"description":"Authentication details are invalid","schema":{"type":"object"},"examples":{"application/json":"{\n  \"message\":\"Unauthorized: Token invalid\"\n}"}},"404":{"description":"No experience could be found corresponding to the given url","schema":{"type":"object"},"examples":{"application/json":"{\n  \"message\":\"Not Found: experience not found\"\n}"}}},"security":[{"API Key Authentication":[]},{"Token Authentication":[]}]},"delete":{"summary":"Destroy experience","tags":["Experiences"],"description":"Destroys the given experience.","parameters":[],"responses":{"200":{"description":"the experience was successfully deleted"},"400":{"description":"Something in the request is malformed.","schema":{"type":"object"},"examples":{"application/json":"{\n  \"message\":\"Malformed Request: please check the request\"\n}"}},"401":{"description":"Authentication details are invalid.","schema":{"type":"object"},"examples":{"application/json":"{\n  \"message\":\"Unauthorized: Token invalid\"\n}"}},"404":{"description":"No experience can be found for the given url","schema":{"type":"object"},"examples":{"application/json":"{\n  \"message\":\"Not Found: Experience not found\"\n}"}}},"security":[{"API Key Authentication":[]},{"Token Authentication":[]}]},"parameters":[{"name":"experience_id","in":"path","required":true,"type":"string"}]},"/v3/sessions/{session_id}":{"get":{"summary":"Get session","tags":["Sessions"],"description":"Used to get an existing session - should be used when header **transition** is set to **true** on return from the module interaction endpoint to get updated information about the updated experience.","parameters":[],"responses":{"200":{"description":"Request was processed successfully.","schema":{"type":"object"},"examples":{"application/json":"{\n  \"id\":\"2771811fb20fa1c32e6094abb133bfd2\",\n  \"product_url\":\"scan.beta.121nexus.com/rllhlxq8ui6z\",\n  \"page\":[  \n      {  \n        \"id\":\"3d0b55c147033da0\",\n        \"type\":\"GS1Validation\",\n        \"config\":{  \n\n        },\n        \"actions\":{  \n          \"validate_barcode\":\"https://api.beta.121nexus.com/v3/sessions/4f0a42ed5d4755155b361540d44ee85f/modules/3d0b55c147033da0/validate_barcode\"\n        }\n      },\n      {  \n        \"id\":\"674bbf08f827bc75\",\n        \"type\":\"Gudid\",\n        \"config\":{  \n\n        },\n        \"actions\":{  \n          \"lookup\":\"https://api.beta.121nexus.com/v3/sessions/4f0a42ed5d4755155b361540d44ee85f/modules/674bbf08f827bc75/lookup\"\n        }\n      },\n      {  \n        \"id\":\"1a539a0b1bce3732\",\n        \"type\":\"ImageUpload\",\n        \"config\":{  \n          \"prompt_text\":\"Please take a picture of the label\",\n          \"thanks_text\":\"Image uploaded\"\n        },\n        \"actions\":{  \n          \"submit_upload_url\":\"https://api.beta.121nexus.com/v3/sessions/4f0a42ed5d4755155b361540d44ee85f/modules/1a539a0b1bce3732/submit_upload_url\",\n          \"get_upload_form\":\"https://api.beta.121nexus.com/v3/sessions/4f0a42ed5d4755155b361540d44ee85f/modules/1a539a0b1bce3732/get_upload_form\"\n        }\n      }\n    ]\n    }"}},"400":{"description":"Something in the request is malformed","schema":{"type":"object"},"examples":{"application/json":"{\n  \"status\":false,\n  \"data\":{\n  \"message\":\"Malformed Request: please check the request\"\n  }\n}"}},"401":{"description":"Authentication details are invalid.","schema":{"type":"object"},"examples":{"application/json":"{\n  \"status\":false,\n  \"data\":{\n      \"message\":\"Unauthorized: Token invalid\"\n  }\n}"}},"404":{"description":"Session not found for given url","schema":{"type":"object"},"examples":{"application/json":"{\n  \"status\":false\n  \"message\":\"Not Found: session not found\"\n}"}}}},"head":{"summary":"Get session","tags":["Sessions"],"description":"Confirms that given session exists.","parameters":[],"responses":{"200":{"description":"Request was processed successfully."},"400":{"description":"Something in the request is malformed."},"401":{"description":"Authentication details are invalid."},"404":{"description":"Session not found for given url"}}},"parameters":[{"name":"session_id","in":"path","required":true,"type":"string"}]},"/v3/experiences/{experience_id}/sessions":{"post":{"summary":"Start new session","tags":["Sessions"],"description":"Create a new session ","consumes":[],"parameters":[{"name":"body","in":"body","required":true,"schema":{"type":"object","properties":{"product_url":{"type":"string","description":"This can be empty if a user wishes to execute an experience without associating it with a particular product. Otherwise, the URL of the desired product."},"barcode_data":{"type":"string","description":"The raw barcode data associated with this product session. Generally the barcode data scanned from a physical product that was used to identify this product via the product search endpoint."},"location_data":{"type":"object","description":"The device location information for the user","properties":{"latitude":{"type":"number"},"longitude":{"type":"number"}}}}},"x-examples":{"application/json":"{\n  \"product_url\":\"scan.beta.121nexus.com/unique-code\",\n  \"barcode_data\":\"0110881234567890\",\n  \"location_data\":{\n    \"latitude\":42.359712,\n    \"longitude\":-71.0590801\n  }\n}"}}],"responses":{"200":{"description":"A new session was created.","schema":{"type":"object"},"examples":{"application/json":"{\n  \"id\":\"2771811fb20fa1c32e6094abb133bfd2\",\n  \"product_url\":\"scan.beta.121nexus.com/rllhlxq8ui6z\",\n  \"page\":[  \n      {  \n        \"id\":\"3d0b55c147033da0\",\n        \"type\":\"GS1Validation\",\n        \"config\":{  \n\n        },\n        \"actions\":{  \n          \"validate_barcode\":\"https://api.beta.121nexus.com/v3/sessions/4f0a42ed5d4755155b361540d44ee85f/modules/3d0b55c147033da0/validate_barcode\"\n        }\n      },\n      {  \n        \"id\":\"674bbf08f827bc75\",\n        \"type\":\"Gudid\",\n        \"config\":{  \n\n        },\n        \"actions\":{  \n          \"lookup\":\"https://api.beta.121nexus.com/v3/sessions/4f0a42ed5d4755155b361540d44ee85f/modules/674bbf08f827bc75/lookup\"\n        }\n      },\n      {  \n        \"id\":\"1a539a0b1bce3732\",\n        \"type\":\"ImageUpload\",\n        \"config\":{  \n          \"prompt_text\":\"Please take a picture of the label\",\n          \"thanks_text\":\"Image uploaded\"\n        },\n        \"actions\":{  \n          \"submit_upload_url\":\"https://api.beta.121nexus.com/v3/sessions/4f0a42ed5d4755155b361540d44ee85f/modules/1a539a0b1bce3732/submit_upload_url\",\n          \"get_upload_form\":\"https://api.beta.121nexus.com/v3/sessions/4f0a42ed5d4755155b361540d44ee85f/modules/1a539a0b1bce3732/get_upload_form\"\n        }\n      }\n    ]\n    }"}},"400":{"description":"The request was malformed","schema":{"type":"object"},"examples":{"application/json":"{\n  \"message\":\"Malformed Request: please check the request\"\n  }\n}"}},"401":{"description":"Experience not authorized for API key","schema":{"type":"object"},"examples":{"application/json":"{\n      \"message\":\"Unauthorized: Token invalid\"\n}"}}}},"parameters":[{"name":"experience_id","in":"path","required":true,"type":"string"}]},"/v3/sessions/{session_id}/modules/{module_id}/{action}":{"post":{"summary":"Interact with module","tags":["Sessions"],"description":"Interact with the specified module via the specified action","parameters":[],"responses":{"200":{"description":"Successfully performed and action with the module","schema":{"type":"object","properties":{"status":{"type":"boolean","description":"The response status"},"data":{"type":"object","description":"The response data. This field is dependent on what module and action are specified"}}},"examples":{"application/json":"{ }"},"headers":{"X-Transition":{"type":"boolean","description":"(true) if the action triggered a page transaction"}}},"400":{"description":"The request was malformed","schema":{"type":"object"},"examples":{"application/json":"{\n  \"message\":\"Malformed Request: please check the request\"\n}"}},"401":{"description":"API key unauthorized","schema":{"type":"object"},"examples":{"application/json":"{\n  \"message\":\"Unauthorized: Token invalid\"\n}"}},"404":{"description":"Module not found","schema":{"type":"object"},"examples":{"application/json":"{\n  \"message\":\"Not Found: Module not found\"\n}"}}}},"parameters":[{"name":"session_id","in":"path","required":true,"type":"string","description":"a valid session_id"},{"name":"module_id","in":"path","required":true,"type":"string"},{"name":"action","in":"path","required":true,"type":"string","description":"a description of the action to be performed on the module","x-example":"GS1 Validation"}]},"/v3/sessions/{session_id}/modules/{gs1_validation_module_id}/validate_barcode":{"post":{"summary":"Validate Barcode","tags":["Modules"],"parameters":[{"name":"video_url","in":"query","required":false,"type":"string","description":"the url of the video that will be played when the module is triggered."},{"name":"video_type","in":"query","required":false,"type":"string","description":"the platform that the video is hosted on"}],"responses":{"200":{"description":"Successfully performed and action with the module","schema":{"type":"object"},"examples":{"application/json":"{\n    \"parsing_successful\": true,\n    \"validation_successful\": true,\n    \"parsed_ais\": {\n        \"21\": \"0024E45AFE2A\",\n        \"01\": \"04719873310050\"\n    },\n    \"errors\": {}\n}"},"headers":{"X-Transition":{"type":"boolean","description":"(true) if the action triggered a page transaction"}}},"400":{"description":"The request was malformed","schema":{"type":"object"},"examples":{"application/json":"{\n    \"message\": \"Invalid action arguments\",\n    \"schema\": {\n        \"type\": \"object\",\n        \"additionalProperties\": false,\n        \"properties\": {\n            \"barcode_data\": {}\n        }\n    }\n}"}},"401":{"description":"API key unauthorized","schema":{"type":"object"},"examples":{"application/json":"{\n    \"message\": \"Unauthorized: Invalid API Key\"\n}"}},"404":{"description":"Module not found","schema":{"type":"object"},"examples":{"application/json":"{\n    \"message\": \"Module not found\"\n}"}}}},"parameters":[{"name":"session_id","in":"path","required":true,"type":"string","description":"a valid session_id"},{"name":"gs1_validation_module_id","in":"path","required":true,"type":"string","description":"the gs1 validation module id for the given session"}]},"/v3/sessions/{session_id}/modules/{gudid_module_id}/lookup":{"post":{"summary":"GUDID Lookup","tags":["Modules"],"parameters":[],"responses":{"200":{"description":"Successfully performed and action with the module","schema":{"type":"object","properties":{"status":{"type":"boolean","description":"The response status"},"data":{"type":"object","description":"The response data. This field is dependent on what module and action are specified"}}},"examples":{"application/json":"{\n    \"deviceRecordStatus\": \"Published\",\n    \"devicePublishDate\": \"2017-06-03\",\n    \"deviceCommDistributionEndDate\": null,\n    \"deviceCommDistributionStatus\": \"In Commercial Distribution\",\n    \"identifiers\": {\n        \"identifier\": [\n            {\n                \"deviceId\": \"14719873310057\",\n                \"deviceIdType\": \"Package\",\n                \"deviceIdIssuingAgency\": \"GS1\",\n                \"containsDINumber\": \"04719873310050\",\n                \"pkgQuantity\": \"10\",\n                \"pkgDiscontinueDate\": null,\n                \"pkgStatus\": \"In Commercial Distribution\",\n                \"pkgType\": null\n            },\n            {\n                \"deviceId\": \"04719873310050\",\n                \"deviceIdType\": \"Primary\",\n                \"deviceIdIssuingAgency\": \"GS1\",\n                \"containsDINumber\": null,\n                \"pkgQuantity\": null,\n                \"pkgDiscontinueDate\": null,\n                \"pkgStatus\": null,\n                \"pkgType\": null\n            }\n        ]\n    },\n    \"brandName\": \"NOKIA\",\n    \"versionModelNumber\": \"BP-801\",\n    \"catalogNumber\": null,\n    \"companyName\": \"YA HORNG ELECTRONIC CO., LTD.\",\n    \"deviceCount\": \"1\",\n    \"deviceDescription\": \"BP-801 is the device for the measurement of blood pressure & pulse rate of patient.\",\n    \"DMExempt\": \"false\",\n    \"premarketExempt\": \"false\",\n    \"deviceHCTP\": \"false\",\n    \"deviceKit\": \"false\",\n    \"deviceCombinationProduct\": \"false\",\n    \"singleUse\": \"false\",\n    \"lotBatch\": \"false\",\n    \"serialNumber\": \"true\",\n    \"manufacturingDate\": \"false\",\n    \"expirationDate\": \"false\",\n    \"donationIdNumber\": \"false\",\n    \"labeledContainsNRL\": \"false\",\n    \"labeledNoNRL\": \"false\",\n    \"MRISafetyStatus\": \"Labeling does not contain MRI Safety Information\",\n    \"rx\": \"false\",\n    \"otc\": \"true\",\n    \"contacts\": null,\n    \"gmdnTerms\": {\n        \"gmdn\": {\n            \"gmdnPTName\": \"Automatic-inflation electronic sphygmomanometer, portable, arm/wrist\",\n            \"gmdnPTDefinition\": \"A battery-powered device, typically digital, designed to noninvasively measure blood pressure using a self-contained software program that regulates automatic arm/wrist-cuff inflation and measurement cycles. It typically displays current heart rate and mean arterial pressure in addition to systolic and diastolic blood pressures; it may have memory to store blood pressure values and may sound an alarm if blood pressure exceeds pre-set limits. This device is designed to be portable (e.g., hand-held or carried in a pouch) and is often used for emergency services or home blood pressure monitoring.\"\n        }\n    },\n    \"productCodes\": {\n        \"fdaProductCode\": {\n            \"productCode\": \"DXN\",\n            \"productCodeName\": \"System, Measurement, Blood-Pressure, Non-Invasive\"\n        }\n    },\n    \"deviceSizes\": null,\n    \"environmentalConditions\": null,\n    \"sterilization\": {\n        \"deviceSterile\": \"false\",\n        \"sterilizationPriorToUse\": \"false\",\n        \"methodTypes\": null\n    },\n    \"udi\": \"(01)04719873310050(21)0024E45AFE2A\",\n    \"di\": \"04719873310050\",\n    \"udi_issuing_agency\": \"GS1\",\n    \"udi_manufacturing_date\": null,\n    \"udi_expiration_date\": null,\n    \"udi_lot_number\": null,\n    \"udi_serial_number\": \"0024E45AFE2A\"\n}"},"headers":{"X-Transition":{"type":"boolean","description":"(true) if the action triggered a page transaction"}}},"400":{"description":"The request was malformed","schema":{"type":"object"},"examples":{"application/json":"{\n    \"message\": \"Invalid action arguments\",\n    \"schema\": {\n        \"type\": \"object\",\n        \"additionalProperties\": false,\n        \"properties\": {}\n    }\n}"}},"401":{"description":"API key unauthorized","schema":{"type":"object"},"examples":{"application/json":"{\n    \"message\": \"Unauthorized: Invalid API Key\"\n}"}},"404":{"description":"Module not found","schema":{"type":"object"},"examples":{"application/json":"{\n    \"message\": \"Module not found\"\n}"}}}},"parameters":[{"name":"session_id","in":"path","required":true,"type":"string","description":"a valid session_id"},{"name":"gudid_module_id","in":"path","required":true,"type":"string"}]},"/v3/sessions/{session_id}/modules/{image_upload_module_id}/submit_upload_url":{"post":{"summary":"Submit uploaded image","tags":["Modules"],"parameters":[],"responses":{"200":{"description":"Status 200","schema":{"type":"object"},"examples":{"application/json":"{}"}},"400":{"description":"Status 400","schema":{"type":"object"},"examples":{"application/json":"{\n    \"message\": \"Invalid action arguments\",\n    \"schema\": {\n        \"type\": \"object\",\n        \"additionalProperties\": false,\n        \"properties\": {\n            \"s3_url\": {\n                \"type\": \"string\"\n            }\n        },\n        \"required\": [\n            \"s3_url\"\n        ]\n    }\n}"}},"401":{"description":"Status 401"},"404":{"description":"Status 404"}}},"parameters":[{"name":"session_id","in":"path","required":true,"type":"string"},{"name":"image_upload_module_id","in":"path","required":true,"type":"string"}]},"/v3/sessions/{session_id}/modules/{image_upload_module_id}/get_upload_form":{"post":{"summary":"Get image upload form","tags":["Modules"],"parameters":[],"responses":{"200":{"description":"Status 200"}}},"parameters":[{"name":"session_id","in":"path","required":true,"type":"string"},{"name":"image_upload_module_id","in":"path","required":true,"type":"string"}]},"/v3/sessions/{session_id}/modules/{reorder_module_id}/reorder":{"post":{"summary":"Reorder","tags":["Modules"],"parameters":[],"responses":{"200":{"description":"Status 200","schema":{"type":"object"},"examples":{"application/json":"{\n    \"order_qty\": \"5\"\n}"}},"400":{"description":"Status 400","schema":{"type":"object"},"examples":{"application/json":"{\n    \"message\": \"Invalid action arguments\",\n    \"schema\": {\n        \"type\": \"object\",\n        \"additionalProperties\": false\n    }\n}"}},"401":{"description":"Status 401","schema":{"type":"object"},"examples":{"application/json":"{\n    \"message\": \"Unauthorized: Invalid API Key\"\n}"}},"404":{"description":"Status 404","schema":{"type":"object"},"examples":{"application/json":"{\n    \"message\": \"Module not found\"\n}"}}}},"parameters":[{"name":"session_id","in":"path","required":true,"type":"string"},{"name":"reorder_module_id","in":"path","required":true,"type":"string"}]},"/v3/sessions/{session_id}/modules/{safety_check_module_id}/check_safety":{"post":{"summary":"Check safety","tags":["Modules"],"parameters":[],"responses":{"200":{"description":"Status 200","schema":{"type":"object"},"examples":{"application/json":"{\n    \"safety_status\": \"safe/unsafe\"\n}"}},"400":{"description":"Status 400","schema":{"type":"object"},"examples":{"application/json":"{\n    \"message\": \"Invalid action arguments\",\n    \"schema\": {\n        \"type\": \"object\",\n        \"additionalProperties\": false\n    }\n}"}},"401":{"description":"Status 401","schema":{"type":"object"},"examples":{"application/json":"{\n    \"message\": \"Unauthorized: Invalid API Key\"\n}"}},"404":{"description":"Status 404","schema":{"type":"object"},"examples":{"application/json":"{\n    \"message\": \"Module not found\"\n}"}}}},"parameters":[{"name":"session_id","in":"path","required":true,"type":"string"},{"name":"safety_check_module_id","in":"path","required":true,"type":"string"}]},"/v3/sessions/{session_id}/modules/{video_module_id}/video_played":{"post":{"summary":"Play video","tags":["Modules"],"consumes":[],"parameters":[{"name":"body","in":"body","required":true,"schema":{"type":"object"}}],"responses":{"200":{"description":"Status 200","schema":{"type":"object"},"examples":{"application/json":"{}"}},"400":{"description":"Status 400","schema":{"type":"object"},"examples":{"application/json":"{\n    \"message\": \"Invalid action arguments\",\n    \"schema\": {\n        \"type\": \"object\",\n        \"additionalProperties\": false,\n        \"properties\": {\n            \"export\": {\n                \"type\": \"object\"\n            }\n        }\n    }\n}"}},"401":{"description":"Status 401","schema":{"type":"object"},"examples":{"application/json":"{\n    \"message\": \"Unauthorized: Invalid API Key\"\n}"}},"404":{"description":"Status 404","schema":{"type":"object"},"examples":{"application/json":"{\n    \"message\": \"Module not found\"\n}"}}}},"parameters":[{"name":"session_id","in":"path","required":true,"type":"string"},{"name":"video_module_id","in":"path","required":true,"type":"string"}]}},"securityDefinitions":{"API Key Authentication":{"description":"Authentication to the platform via API key. An API key is required for all requests to the 121nexus API.","type":"apiKey","name":"api-key","in":"header"},"Token Authentication":{"description":"Authentication to the platform via user credentials. On login with username and password, client receives an auth token used for all future requests until expired or invalidated. A token is required for access to protected endpoints requiring user validation.","type":"apiKey","name":"token","in":"header"}}}